curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/invoicing/invoices/{invoice_id}import requests
url = "https://api.chift.eu/consumers/{consumer_id}/invoicing/invoices/{invoice_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/invoicing/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<this-id>",
"source_ref": {
"id": "<target-software-id>",
"model": "invoice"
},
"currency": "EUR",
"invoice_type": "customer_invoice",
"status": "cancelled",
"invoice_date": "2026-01-15",
"tax_amount": 42,
"untaxed_amount": 200,
"total": 242,
"lines": [],
"partner_id": "<invoicing-partner-id>",
"invoice_number": "INV-2026-0001",
"due_date": "2026-02-14",
"reference": "REF-0001",
"payment_communication": "+++000/0000/00000+++",
"customer_memo": "Thank you for your business.",
"journal_ref": {
"id": "<target-software-id>",
"model": "invoice",
"name": "Example Company S.A."
},
"italian_specificities": {
"stamp_duty_amount": 2,
"withholding_tax": {
"rate": 20,
"amount": 40,
"reason": "RT01",
"payment_reason": "A"
},
"welfare_fund": {
"rate": 4,
"amount": 8,
"type": "TC01"
},
"payment_reporting": {
"method": "MP01",
"conditions": "TP01"
}
},
"spanish_specificities": {
"withholding_tax": {
"tax_rate": -19,
"tax_code": "<accounting-tax-code>",
"tax_amount": -38
}
},
"last_updated_on": "2026-01-15T10:30:00Z",
"outstanding_amount": 0,
"last_payment_date": "2026-02-14",
"accounting_date": "2026-01-15",
"payment_method_id": "<invoicing-payment-method-id>",
"currency_exchange_rate": 1,
"pdf": "<base64-encoded-file-content>"
}{
"message": "The ID of the invoice doesn't have the correct format.",
"status": "error",
"error_code": "ERROR_INVOICE_ID_FORMAT"
}{
"message": "The invoice doesn't exist in the invoicing system.",
"status": "error",
"error_code": "ERROR_INVOICE_NOT_FOUND"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Retrieve one invoice
Returns a specific invoice from the invoicing system by its unique identifier.
Query Parameters
Include the invoice PDF as a base64 encoded string in the response
true, false Include analytic accounts in the response
true, false Response
Successful Response
Invoice item returned in get 1 invoice
Technical id in Chift
"<this-id>"
Technical id in the target software
Show child attributes
Show child attributes
Currency matching target sofware name
"EUR"
Invoice type
customer_invoice, customer_refund, supplier_invoice, supplier_refund, all Status
cancelled, draft, posted, paid Invoicing date
"2026-01-15"
Taxes amount
42
Untaxed amount
200
Total amount incl. taxes
242
Invoice lines
Show child attributes
Show child attributes
Technical id of the vendor/customer in Chift
"<invoicing-partner-id>"
Number/sequence
"INV-2026-0001"
Due date
"2026-02-14"
Reference
"REF-0001"
Payment communication
"+++000/0000/00000+++"
Customer note/memo
"Thank you for your business."
Journal
Show child attributes
Show child attributes
Specificities for Italy
Show child attributes
Show child attributes
Specificities for Spain
Show child attributes
Show child attributes
"2026-01-15T10:30:00Z"
Amount left to be paid
0
Date of the last payment linked to the invoice
"2026-02-14"
Accounting date
"2026-01-15"
Technical id of the payment method in Chift
"<invoicing-payment-method-id>"
Exchange rate from the invoice currency to the connector's base currency, at the date of the invoice.
PDF document in base64
"<base64-encoded-file-content>"